.b-files-list {

  &--has-top-space {
    padding-top: 70px;
  }

  &__list {

  }

  &__item {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    font-size: 16px;
    height: 58px;
    background-color: lighten($blue-dark, 5%);
    margin-bottom: 10px;
    border-radius: 4px;
    overflow: hidden;
    cursor: pointer;
    transition: 0.3s cubic-bezier(0.25, 0.8, 0.5, 1);
    text-decoration: none;

    &:hover {
      background-color: lighten($blue-dark, 0%);
    }

    &--is-load {
    }

    &--not-ready {
      background-color: $gray !important;
      cursor: progress;

      &.b-files-list__item--is-load {
        animation: run_gray 1.5s infinite ease-in-out;

        &.b-files-list__item--is-error {
          animation: none;
        }
      }

      & .b-files-list__icon {
        background-color: $gray-dark;
        color: $text;

        & .v-icon {
          color: $gray !important;
        }
      }
    }

    &--is-error {
      background-color: $red !important;
      opacity: 0.7;

      & .b-files-list__icon {
        background-color: darken($red, 5%);
        color: $text;

        & .v-icon {
          color: $text !important;
        }
      }
    }
  }

  &__icon {
    position: relative;
    width: 58px;
    height: 58px;
    background-color: $blue-light;
    display: block;
    float: left;

    & .v-icon {
      display: block;
      position: absolute;
      width: 24px;
      height: 24px;
      top: 0;
      bottom: 0;
      right: 0;
      left: 0;
      margin: auto;
    }
  }

  &__title {
    text-align: left;
    display: block;
    font-size: 16px;
    color: $text;
    line-height: 58px;
    float: right;
    width: calc(100% - 58px);
    padding: 0 15px;
  }

  &__info {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: calc(100% - 58px);
    padding: 0 15px 0 15px;
    line-height: 58px;
    float: right;
    box-sizing: border-box;
  }

  &__name {
    text-align: left;
    display: block;
    font-size: 16px;
    color: $text;
    line-height: 58px;
  }

  &__date {
    text-align: right;
    display: block;
    font-size: 16px;
    color: $text;
    line-height: 58px;
  }
}

@keyframes run {
  0% {
    background-color: lighten($blue-dark, 5%);
  }
  25% {
    background-color: lighten($blue-dark, 10%);
  }
  50% {
    background-color: lighten($blue-dark, 15%);
  }
  75% {
    background-color: lighten($blue-dark, 10%);
  }
  100% {
    background-color: lighten($blue-dark, 5%);
  }
}

@keyframes run_gray {
  0% {
    background-color: lighten($gray, 5%);
  }
  25% {
    background-color: lighten($gray, 10%);
  }
  50% {
    background-color: lighten($gray, 15%);
  }
  75% {
    background-color: lighten($gray, 10%);
  }
  100% {
    background-color: lighten($gray, 5%);
  }
}